

set PACKAGE udp
set VERSION 1.0.7


global env

switch $env(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 Win udp107.dll]]
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
            [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 SunOS libudp1.0.7.so]]
   }
   Linux {
       switch $env(machine) {
           x*86 {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 Linux libudp1.0.7.so]]
           }
           x86_64 {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) TclTkpackages tcludp 1.0.7 Linux64 libudp1.0.7.so]]
           }
           ppc {
               package ifneeded $PACKAGE $VERSION  \
                   {puts stderr "Package $PACKAGE is not available for Linux on $env(machine)"}
           }
           default {"unknown or unsupported machine - $env(machine)"}
       }
   }
   default {"unknown or unsupported os - $env(os)"}
}

