
global env

#    Install Message Logger Server

global MessageLoggerServerHost MessageLoggerServerPort

   set MessageLoggerServerHost  localhost 
   set MessageLoggerServerPort  8015

global MIDAS_MessageLoggerServer_UseElog MIDAS_MessageLoggerServer_ElogCmd

set MIDAS_MessageLoggerServer_UseFile 0     ;#    no write to /MIDAS/log
set MIDAS_MessageLoggerServer_UseELog 0     ;#    send to ELog
set MIDAS_MessageLoggerServer_ElogCmd [file join $env(MIDASBASE) config TclHttpd  Elog]

# set env(MessageLoggerBase) "/MIDAS/log"      ;#  not required because no write to /MIDAS/log

source [file join $env(MIDASBASE) TclHttpd tcl MessageLoggerServer.tcl]


#    Install Time service (demonstration)

    source [file join $env(MIDASBASE) TclHttpd tcl TimeServer.tcl]

#    Install CAEN USB/PCI VME Bridge plugin

    source [file join $env(MIDASBASE) MIDASpackages CAENVx718 pkgIndex.tcl]
    package require CAENVx718

#    Install VME access service

namespace eval VMEConfig {
   variable ConfigBase
   set ConfigBase [file join $env(MIDASBASE) config TclHttpd]
   
   variable ModuleMenu
   set ModuleMenu {"CAEN_V785" "CAEN_V775" "CAEN_V830" "CAEN_V560"}
}

    source [file join $env(MIDASBASE) TclHttpd tcl VMEAccessServer.tcl]

global MIDAS_VMEAccessServer_Verbose
set MIDAS_VMEAccessServer_Verbose 0

